#include<stdio.h>
int main(){
	int N, Q, i, j, bru, brp;
	do{
		scanf("%d %d",&N, &Q);
	}while(N<1 || Q>300000);
	int p[N];
	long long d[N], k[Q];
	for(i=0; i<N; i++)scanf("%d %d", &d[i], &p[i]);
	for(i=0; i<Q; i++)scanf("%lld",&k[i]);
	for(j=0; j<Q; j++){
		brp=k[j];
		bru=0;
		for(i=0;i<N;i++){
			if(d[i] <= brp){
				bru+=p[i];
			}
			else break;
		}
	}
	printf("%d",bru);
	return 0;
}